Name: gimp-print
Version: 4.2.4
Release: alt1

Summary: GIMP-Print plugin for high-quality image printing
Group: Publishing
License: GPL
Requires: ghostscript lib%name
Url: http://gimp-print.sourceforge.net/

Source: http://gimp-print.sourceforge.net/gimp-print-%version.tar.bz2
Patch: gimp-print-mdk-cups-Makefile.patch

# Automatically added by buildreq on Fri Sep 20 2002
BuildRequires: ImageMagick XFree86-devel XFree86-libs byacc docbook-utils flex foomatic ghostscript glib-devel glibc-devel-static gtk+-devel libcups-devel libgimp-devel libijs-devel libjpeg-devel libncurses-devel libpng-devel libreadline-devel libssl libtiff-devel openssl-devel tetex-dvips zlib-devel

%package -n lib%name
Summary: Shared library for high-quality image printing
Group: Publishing

%package -n lib%name-devel
Summary: Headers and links for compiling against libgimpprint
Group: Development/C
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Summary: Static libraries for compiling against libgimpprint
Group: Development/C
Requires: lib%name-devel = %version-%release

%package plugin
Summary: GIMP-Print plugin for high-quality image printing
Group: Publishing
Requires: gimp, lib%name = %version-%release

%package foomatic
Summary: foomatic stuff for %name
Group: Publishing
Requires: %name = %version-%release foomatic

%package CUPS
Summary: CUPS's PPDs for %name
Group: Publishing
Requires: %name = %version-%release

%description
This is a plug-in for the GIMP, which allows printing of images and
photos in very high quality on many modern inkjet printers and also
some lasers. Especially on Epson Stylus printers the quality which one
gets under proprietary operating systems is reached, due to Epson
publishing the protocols of their printers, but other brands of
printers give very high qualities, too. It can also output PostScript
to be able to print out of the GIMP on any printer.

This package contains common files for %name.

%description -n lib%name
This is a high-quality printing library used by the GIMP-Print plugin,
the "stp" color/photo inkjet/laser driver in GhostScript, and by
specialized CUPS drivers.

%description -n lib%name-devel
These are the links and header files to compile applications which should
use the libgimpprint library.

%description -n lib%name-devel-static
static libraries for %name

%description plugin
This is a plug-in for the GIMP, which allows printing of images and
photos in very high quality on many modern inkjet printers and also
some lasers. Especially on Epson Stylus printers the quality which one
gets under proprietary operating systems is reached, due to Epson
publishing the protocols of their printers, but other brands of
printers give very high qualities, too. It can also output PostScript
to be able to print out of the GIMP on any printer.

%description foomatic
Drivers for foomatic

%description CUPS
Drivers for CUPS

%prep
%setup -q
%patch -p4

#latest foomatic changes
%__subst "s/-dSAFER/-dPARANOIDSAFER/" src/foomatic/foomatic-templates-*/gimp-print*.xml

#foomatic kitload hack
%__subst 's@foomatic-kitload@\./foomatic-kitload@' src/foomatic/Makefile.am
%__subst 's@foomatic-kitload@\./foomatic-kitload@' src/foomatic/Makefile.in
cp /usr/sbin/foomatic-kitload src/foomatic
%__subst 's@die \"No \\\$libdir.*@@' src/foomatic/foomatic-kitload
%__subst 's@.*unless \$libdir.*@\$libdir="%buildroot%_datadir/foomatic";@' src/foomatic/foomatic-kitload

%build
%configure  --with-cups --with-gimp --with-foomatic --without-translated-ppds --with-ijs
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%_datadir/foomatic/db/source

# Fake the gimptool because it only installs into the root file system and
# not into buildroot
cat >fakedgimptool <<EOF
#!/bin/sh
gimptool \$* | sed 's:%_libdir:$RPM_BUILD_ROOT%_libdir:'
EOF
chmod 755 fakedgimptool

# Make the directory for the GIMP-Plugin
install -d $RPM_BUILD_ROOT%_libdir/gimp/1.2/plug-ins/

# Install the files
%makeinstall GIMPTOOL=$RPM_BUILD_DIR/%name-%version/fakedgimptool\
    cups_conf_serverbin=$RPM_BUILD_ROOT%{_libdir}/cups\
    cups_conf_datadir=$RPM_BUILD_ROOT%{_datadir}/cups cups_conf_serverroot=$RPM_BUILD_ROOT%{_sysconfdir}/cups\
    FOOMATIC_KITLOAD=./foomatic-kitload
mv $RPM_BUILD_ROOT%_datadir/cups/model/C $RPM_BUILD_ROOT%_datadir/cups/model/%name

%find_lang %name

%post
%install_info gimpprint.info

%preun
%uninstall_info gimpprint.info

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files -f %name.lang
%doc ABOUT-NLS AUTHORS ChangeLog NEWS README doc/manual-html doc/users_guide samples doc/gimpprint.ps
%_bindir/cups-calibrate
%_bindir/ijs*
%_bindir/escputil
%_libdir/cups/*
%_infodir/*.info*
%_mandir/man?/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_bindir/*-config
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%_datadir/aclocal/*

%files -n lib%name-devel-static
%_libdir/*.a

%files plugin
%_libdir/gimp/1.2/plug-ins/print

%files foomatic
%_datadir/foomatic/db/*

%files CUPS
%_sysconfdir/cups/*
%_datadir/cups/*


%changelog
* Thu Jan 09 2003 Stanislav Ievlev <inger@altlinux.ru> 4.2.4-alt1
- update to latest stable

* Mon Oct 28 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.3-alt1
- 4.2.3

* Fri Sep 20 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.2-alt1
- 4.2.2
- port to subst from 'perl -pi'

* Wed Jun 26 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.1-alt3
- Enable IJS driver

* Tue Jun 18 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.1-alt2
- resurrected foomatic files

* Tue Apr 02 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.0-alt7
- Added two patches from MDK (to use drivers for more printers and 
  support for small papers on Epson Stylus Pro printers)

* Wed Feb 20 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.0-alt6
- Buildreq updated

* Tue Feb 19 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.0-alt5
- added patch.

* Wed Feb 13 2002 AEN <aen@logic.ru> 4.2.0-alt4
- rebuilt with new gimp

* Mon Dec 17 2001 Stanislav Ievlev <inger@altlinux.ru> 4.2.0-alt3
- added requires to gimp-print-foomatic

* Mon Dec 10 2001 Stanislav Ievlev <inger@altlinux.ru> 4.2.0-alt2
- added buildreqs, fix docs

* Thu Nov 15 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt6
- rc1

* Tue Sep 25 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt5
- b2

* Thu Sep 06 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt4
- new snapshot.

* Mon Aug 13 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt3
- Splited again: common files (filters,docs); CUPS only drivers, foomatic only drivers.

* Fri Aug 10 2001 AEN <aen@logic.ru> 4.1.99-alt2
- added plugin package
- a2

* Mon Aug 06 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt1
- Initial release for ALT Linux.
- Now we are splitting cups-drivers into separate packages.
